#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const glob = require("glob");
const fs = require("fs");
const path = require("path");
const _1 = require(".");
program
    .version('1.0.0')
    .usage('[options] <filename or glob>')
    .command('* <glob>')
    .action((globPattern) => {
    if (!globPattern) {
        throw new Error('You must provide a file name or glob pattern to transform');
    }
    const files = glob.sync(globPattern, {});
    for (const file of files) {
        const filePath = path.resolve(file);
        const newPath = filePath.replace(/\.jsx?$/, '.tsx');
        try {
            fs.renameSync(filePath, newPath);
            const result = _1.run(newPath);
            fs.writeFileSync(newPath, result);
        }
        catch (error) {
            console.warn(`Failed to convert ${file}`);
            console.warn(error);
        }
    }
});
program.parse(process.argv);
//# sourceMappingURL=cli.js.map